Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.integration.jmx
Interface IoSessionManagerMBean

All Known Implementing Classes:
  IoSessionManager

    public interface IoSessionManagerMBean

MBean interface for the session manager, it's used for instrumenting IoSession

Version:
  $Rev: 555855 $, $Date: 2007-07-13 12:19:00 +0900 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Method Summary
`void` | `addFirstLoggingFilter()` add a logging filter at begining of the chain
`void` | `addLastLoggingFilter()` add a logging filter at end of the chain
`void` | `close()` close the session
`long` | `getBothIdleTime()` read and write IDLE time
`float` | `getByteReadThroughtput()` get the read bytes per second throughput works only if a stat collector is inspecting this session,
`float` | `getByteWrittenThroughtput()` get the written bytes per second throughput works only if a stat collector is inspecting this session,
`Date` | `getCreationTime()` when the session was created
`String[]` | `getInstalledFilters()` get the list of filters installed in the filter chain
`Date` | `getLastIoTime()` last time the session processed an IO
`Date` | `getLastReadTime()` last time the session processed an read
`Date` | `getLastWriteTime()` last time the session processed a write
`float` | `getMessageReadThroughtput()` get the read messages per second throughput works only if a stat collector is inspecting this session, and only if a ProtocolDecoderFilter is used
`float` | `getMessageWrittenThroughtput()` get the written messages per second throughput works only if a stat collector is inspecting this session, and only if a ProtocolDecoderFilter is used
`long` | `getReadBytes()` bytes read from the beginning
`long` | `getReadIdleTime()` read IDLE time
`long` | `getReadMessages()` PDU decoded from the beginning.
`long` | `getWriteIdleTime()` write IDLE time
`long` | `getWrittenBytes()` bytes written from the beginning
`long` | `getWrittenMessages()` PDU encoded from the beginning.
`boolean` | `isConnected()` is the session is connected
`void` | `removeFirstLoggingFilter()` remove the logging filter at begining of the chain
`void` | `removeLastLoggingFilter()` remove the logging filter at end of the chain

Method Detail

### isConnected

    boolean isConnected()

  is the session is connected

  Returns:
    connection status

### getReadBytes

    long getReadBytes()

  bytes read from the beginning

  Returns:
    total of bytes read

### getWrittenBytes

    long getWrittenBytes()

  bytes written from the beginning

  Returns:
    total of bytes written

### getReadMessages

    long getReadMessages()

  PDU decoded from the beginning. Only revelent if a ProtocolCodecFilter is installed.

  Returns:
    Number of read messages

### getWrittenMessages

    long getWrittenMessages()

  PDU encoded from the beginning. Only revelent if a ProtocolCodecFilter is installed.

  Returns:
    Number of written messages

### close

    void close()
               throws InterruptedException

  close the session

  Throws:
    `InterruptedException`

### getCreationTime

    Date getCreationTime()

  when the session was created

  Returns:
    the date of session creation

### getLastIoTime

    Date getLastIoTime()

  last time the session processed an IO

  Returns:
    date of last IO

### getLastWriteTime

    Date getLastWriteTime()

  last time the session processed a write

  Returns:
    date of last write

### getLastReadTime

    Date getLastReadTime()

  last time the session processed an read

  Returns:
    date of last read

### getInstalledFilters

    String[] getInstalledFilters()

  get the list of filters installed in the filter chain

  Returns:
    array of filter names

### addLastLoggingFilter

    void addLastLoggingFilter()

  add a logging filter at end of the chain

### removeLastLoggingFilter

    void removeLastLoggingFilter()

  remove the logging filter at end of the chain

### addFirstLoggingFilter

    void addFirstLoggingFilter()

  add a logging filter at begining of the chain

### removeFirstLoggingFilter

    void removeFirstLoggingFilter()

  remove the logging filter at begining of the chain

### getBothIdleTime

    long getBothIdleTime()

  read and write IDLE time

  Returns:
    idle time in milli-seconds

### getReadIdleTime

    long getReadIdleTime()

  read IDLE time

  Returns:
    read idle time in milli-seconds

### getWriteIdleTime

    long getWriteIdleTime()

  write IDLE time

  Returns:
    write idle time in milli-seconds

### getByteReadThroughtput

    float getByteReadThroughtput()

  get the read bytes per second throughput works only if a stat collector is inspecting this session,

  Returns:
    read bytes per seconds

### getByteWrittenThroughtput

    float getByteWrittenThroughtput()

  get the written bytes per second throughput works only if a stat collector is inspecting this session,

  Returns:
    written bytes per seconds

### getMessageReadThroughtput

    float getMessageReadThroughtput()

  get the read messages per second throughput works only if a stat collector is inspecting this session, and only if a ProtocolDecoderFilter is used

  Returns:
    read messages per seconds

### getMessageWrittenThroughtput

    float getMessageWrittenThroughtput()

  get the written messages per second throughput works only if a stat collector is inspecting this session, and only if a ProtocolDecoderFilter is used

  Returns:
    written messages per seconds

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.